package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.MarcaAutobusDAO;
import com.rjconsultores.ventaboletos.entidad.MarcaAutobus;

@Repository("marcaAutobusDAO")
public class MarcaAutobusHibernateDAO extends GenericHibernateDAO<MarcaAutobus, Integer>
implements MarcaAutobusDAO {
	
	 @Autowired
	    public MarcaAutobusHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
	        setSessionFactory(factory);
	    }
	 
	 @Override
	    public List<MarcaAutobus> obtenerTodos() {
	        Criteria c = getSession().createCriteria(getPersistentClass());
	        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

	        return c.list();
	    }
}
